Bug 1736767 - tmpfiles location incorrect
Summary: tmpfiles location incorrect
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: opendkim
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomas Korbar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-01 23:26 UTC by Andrew
Modified: 2021-01-03 00:32 UTC (History)
3 users (show)

Fixed In Version: opendkim-2.11.0-0.17.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-24 10:55:31 UTC
Type: Bug


Attachments (Terms of Use)

Description Andrew 2019-08-01 23:26:30 UTC
Description of problem:  The package creates the tmpfile definition in /etc/tmpfiles.d instead of /usr/lib/tmpfiles.d.  This means any local modifications are made to the RPM managed file instead of just being overrides, as the systemd-tmpfiles system was designed.


Version-Release number of selected component (if applicable): opendkim-2.11.0-0.1.el7.x86_64


How reproducible: always


Steps to Reproduce:
1. Install opendkim
2. observe that /etc/tmpfiles.d/opendkim.conf exists


Actual results: /etc/tmpfiles.d/opendkim.conf exists


Expected results: /usr/lib/tmpfiles.d/opendkim.conf exists

Comment 1 Fedora Admin XMLRPC Client 2020-02-06 04:14:21 UTC
This package has changed maintainer in the Fedora.
Reassigning to the new maintainer of this component.

Comment 2 Tomas Korbar 2020-06-24 10:55:31 UTC
Changed the location in rawhide

Comment 3 Fedora Update System 2020-12-18 05:07:34 UTC
FEDORA-EPEL-2020-d4bfeb1f04 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-d4bfeb1f04

Comment 4 Fedora Update System 2020-12-19 01:49:33 UTC
FEDORA-EPEL-2020-d4bfeb1f04 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-d4bfeb1f04

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2021-01-03 00:32:04 UTC
FEDORA-EPEL-2020-d4bfeb1f04 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.